Cyan Web API - Version 1


GET api/messageRoute?{messageRouteId:guid}

            Gets message route
            

Request Information

Parameters

NameDescriptionAdditional information
messageRouteId

Define this parameter in the request URI.

Response Information

Response body formats

application/json, text/json

Sample:
{
  "messageRouteId": "e4111507-e43e-4616-bcf2-f27342215fae",
  "tenantId": "c2a143ad-c0dd-4587-9023-53863cf4f6ef",
  "messageTypeId": "9ba21a9f-d5ff-4f97-8163-6c605b5031a9",
  "userId": "3ed52117-6247-46e2-8780-48f44464185c",
  "userGroupId": "852c91dd-2ed3-4864-a3c7-5108f682ce4e",
  "deviceId": "26a956d5-907a-4147-b588-dc9596ffe2b4",
  "deviceGroupId": "0042be30-ba5b-4798-9851-392f6008f955",
  "applicationId": "7b15ec4d-5814-4edb-bd26-a70fc61bb2a0",
  "applicationVersionId": "933af96b-93a3-4835-bdc2-8fc86e1a479f",
  "messageDestinationId": "c21d4ed0-92c9-4de7-b780-b9506532b975",
  "name": "sample string 4",
  "description": "sample string 5",
  "createdDateUtc": "2026-11-13T23:59:43.1315352+00:00",
  "updatedDateUtc": "2026-11-13T23:59:43.1315352+00:00"
}

application/xml, text/xml

Sample:
<MessageRouteRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <CreatedDateUtc>2026-11-13T23:59:43.1315352+00:00</CreatedDateUtc>
  <UpdatedDateUtc>2026-11-13T23:59:43.1315352+00:00</UpdatedDateUtc>
  <ApplicationId>7b15ec4d-5814-4edb-bd26-a70fc61bb2a0</ApplicationId>
  <ApplicationVersionId>933af96b-93a3-4835-bdc2-8fc86e1a479f</ApplicationVersionId>
  <Description>sample string 5</Description>
  <DeviceGroupId>0042be30-ba5b-4798-9851-392f6008f955</DeviceGroupId>
  <DeviceId>26a956d5-907a-4147-b588-dc9596ffe2b4</DeviceId>
  <MessageDestinationId>c21d4ed0-92c9-4de7-b780-b9506532b975</MessageDestinationId>
  <MessageRouteId>e4111507-e43e-4616-bcf2-f27342215fae</MessageRouteId>
  <MessageTypeId>9ba21a9f-d5ff-4f97-8163-6c605b5031a9</MessageTypeId>
  <Name>sample string 4</Name>
  <TenantId>c2a143ad-c0dd-4587-9023-53863cf4f6ef</TenantId>
  <UserGroupId>852c91dd-2ed3-4864-a3c7-5108f682ce4e</UserGroupId>
  <UserId>3ed52117-6247-46e2-8780-48f44464185c</UserId>
</MessageRouteRepresentation>